
uniform mat4 u_view_matrix;

in vec2 attrib_position;
in vec4 attrib_color;

out vec4 v_color;

void main() {
    gl_Position = u_view_matrix * vec4(attrib_position, 0.0, 1.0);

    v_color = attrib_color;
}
